DeploymentConfiguration (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.config.DeploymentConfiguration class
Date: 2021-11-09

net.sourceforge.jnlp.config

## Class DeploymentConfiguration

- java.lang.Object
- - net.sourceforge.jnlp.config.DeploymentConfiguration

-     public final class DeploymentConfiguration
      extends java.lang.Object

  Manages the various properties and configuration related to deployment. See: http://download.oracle.com/javase/1.5.0/docs/guide/deployment/deployment-guide/properties.html

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeploymentConfiguration.ConfigType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALWAYS_ASK`
    `static java.lang.String` | `APPLET_TRUST_SETTINGS`
    `static java.lang.String` | `BROWSER_ENV_VAR`
    `static java.lang.String` | `CONSOLE_DISABLE` when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console is not visible by default, nop data are passed to it (save memory and cpu) but can not be shown
    `static java.lang.String` | `CONSOLE_HIDE` when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console is not visible by default, but may be shown
    `static java.lang.String` | `CONSOLE_SHOW` when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console show for both javaws and plugin
    `static java.lang.String` | `CONSOLE_SHOW_JAVAWS` when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console show for javaws
    `static java.lang.String` | `CONSOLE_SHOW_PLUGIN` when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console show for plugin
    `static java.lang.String` | `DEPLOYMENT_COMMENT`
    `static java.lang.String` | `DEPLOYMENT_CONFIG_FILE`
    `static java.lang.String` | `DEPLOYMENT_PROPERTIES`
    `static java.lang.String` | `IGNORE_HEADLESS_CHECK`
    `static java.lang.String` | `INTERNAL_HTML`
    `static int` | `JNLP_ASSOCIATION_ASK_USER`
    `static int` | `JNLP_ASSOCIATION_NEVER`
    `static int` | `JNLP_ASSOCIATION_NEW_ONLY`
    `static int` | `JNLP_ASSOCIATION_REPLACE_ASK`
    `static java.lang.String` | `KEY_AUTO_DOWNLOAD_JRE`
    `static java.lang.String` | `KEY_BACKGROUND_THREADS_COUNT`
    `static java.lang.String` | `KEY_BROWSER_PATH`
    `static java.lang.String` | `KEY_CACHE_COMPRESSION_ENABLED`
    `static java.lang.String` | `KEY_CACHE_ENABLED`
    `static java.lang.String` | `KEY_CACHE_MAX_SIZE`
    `static java.lang.String` | `KEY_CONSOLE_STARTUP_MODE` Console initial status.
    `static java.lang.String` | `KEY_CREATE_DESKTOP_SHORTCUT`
    `static java.lang.String` | `KEY_ENABLE_APPLICATION_LOGGING_TOFILE`
    `static java.lang.String` | `KEY_ENABLE_CACHE_FSYNC`
    `static java.lang.String` | `KEY_ENABLE_LEGACY_LOGBASEDFILELOG`
    `static java.lang.String` | `KEY_ENABLE_LOGGING`
    `static java.lang.String` | `KEY_ENABLE_LOGGING_HEADERS`
    `static java.lang.String` | `KEY_ENABLE_LOGGING_TOFILE`
    `static java.lang.String` | `KEY_ENABLE_LOGGING_TOSTREAMS`
    `static java.lang.String` | `KEY_ENABLE_LOGGING_TOSYSTEMLOG`
    `static java.lang.String` | `KEY_ENABLE_MANIFEST_ATTRIBUTES_CHECK`
    `static java.lang.String` | `KEY_HTTPS_DONT_ENFORCE` Boolean.
    `static java.lang.String` | `KEY_JNLP_ASSOCIATIONS`
    `static java.lang.String` | `KEY_JRE_DIR`
    `static java.lang.String` | `KEY_JRE_INTSTALL_URL`
    `static java.lang.String` | `KEY_MAX_URLS_DOWNLOAD_INDICATOR`
    `static java.lang.String` | `KEY_PLUGIN_JVM_ARGUMENTS`
    `static java.lang.String` | `KEY_PROXY_AUTO_CONFIG_URL`
    `static java.lang.String` | `KEY_PROXY_BYPASS_LIST`
    `static java.lang.String` | `KEY_PROXY_BYPASS_LOCAL`
    `static java.lang.String` | `KEY_PROXY_FTP_HOST`
    `static java.lang.String` | `KEY_PROXY_FTP_PORT`
    `static java.lang.String` | `KEY_PROXY_HTTP_HOST`
    `static java.lang.String` | `KEY_PROXY_HTTP_PORT`
    `static java.lang.String` | `KEY_PROXY_HTTPS_HOST`
    `static java.lang.String` | `KEY_PROXY_HTTPS_PORT`
    `static java.lang.String` | `KEY_PROXY_OVERRIDE_HOSTS`
    `static java.lang.String` | `KEY_PROXY_SAME` Boolean.
    `static java.lang.String` | `KEY_PROXY_SOCKS4_HOST`
    `static java.lang.String` | `KEY_PROXY_SOCKS4_PORT`
    `static java.lang.String` | `KEY_PROXY_TYPE` the proxy type.
    `static java.lang.String` | `KEY_SECURITY_ALLOW_HIDE_WINDOW_WARNING` Boolean.
    `static java.lang.String` | `KEY_SECURITY_INSTALL_AUTHENTICATOR` Boolean.
    `static java.lang.String` | `KEY_SECURITY_ITW_IGNORECERTISSUES` Boolean.
    `static java.lang.String` | `KEY_SECURITY_LEVEL`
    `static java.lang.String` | `KEY_SECURITY_PROMPT_USER` Boolean.
    `static java.lang.String` | `KEY_SECURITY_PROMPT_USER_FOR_JNLP` Boolean.
    `static java.lang.String` | `KEY_SECURITY_TRUSTED_POLICY`
    `static java.lang.String` | `KEY_SMALL_SIZE_OVERRIDE_HEIGHT`
    `static java.lang.String` | `KEY_SMALL_SIZE_OVERRIDE_TRESHOLD` Possibility to control hack which resizes very small applets
    `static java.lang.String` | `KEY_SMALL_SIZE_OVERRIDE_WIDTH`
    `static java.lang.String` | `KEY_STRICT_JNLP_CLASSLOADER`
    `static java.lang.String` | `KEY_SYSTEM_CACHE_DIR`
    `static java.lang.String` | `KEY_SYSTEM_CONFIG` remote configuration properties
    `static java.lang.String` | `KEY_SYSTEM_CONFIG_MANDATORY`
    `static java.lang.String` | `KEY_SYSTEM_SECURITY_POLICY`
    `static java.lang.String` | `KEY_SYSTEM_TRUSTED_CA_CERTS`
    `static java.lang.String` | `KEY_SYSTEM_TRUSTED_CERTS`
    `static java.lang.String` | `KEY_SYSTEM_TRUSTED_CLIENT_CERTS`
    `static java.lang.String` | `KEY_SYSTEM_TRUSTED_JSSE_CA_CERTS`
    `static java.lang.String` | `KEY_SYSTEM_TRUSTED_JSSE_CERTS`
    `static java.lang.String` | `KEY_UPDATE_TIMEOUT`
    `static java.lang.String` | `KEY_USER_CACHE_DIR`
    `static java.lang.String` | `KEY_USER_LOCKS_DIR` the directory containing locks for single instance applications
    `static java.lang.String` | `KEY_USER_LOG_DIR`
    `static java.lang.String` | `KEY_USER_NETX_RUNNING_FILE` The netx_running file is used to indicate if any instances of netx are running (this file may exist even if no instances are running).
    `static java.lang.String` | `KEY_USER_PERSISTENCE_CACHE_DIR`
    `static java.lang.String` | `KEY_USER_SECURITY_POLICY`
    `static java.lang.String` | `KEY_USER_TMP_DIR`
    `static java.lang.String` | `KEY_USER_TRUSTED_CA_CERTS`
    `static java.lang.String` | `KEY_USER_TRUSTED_CERTS`
    `static java.lang.String` | `KEY_USER_TRUSTED_CLIENT_CERTS`
    `static java.lang.String` | `KEY_USER_TRUSTED_JSSE_CA_CERTS`
    `static java.lang.String` | `KEY_USER_TRUSTED_JSSE_CERTS`
    `static java.lang.String` | `LEGACY_WIN32_URL__HANDLER`
    `static java.text.SimpleDateFormat` | `pattern`
    `java.lang.String` | `systemComments`
    `static java.lang.String` | `TRANSFER_TITLE`
    `java.lang.String` | `userComments`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentConfiguration()`
    `DeploymentConfiguration(InfrastructureFileDescriptor configFile)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAndFixConfiguration(java.util.Map<java.lang.String,Setting<java.lang.String>> initial)` Check that the configuration is valid.
    `void` | `copyTo(java.util.Properties target)` Copies the current configuration into the target
    `java.util.Set<java.lang.String>` | `getAllPropertyNames()`
    `javax.naming.ConfigurationException` | `getLoadingException()`
    `java.lang.String` | `getProperty(java.lang.String key)` Get the value for the given key
    `java.util.Map<java.lang.String,Setting<java.lang.String>>` | `getRaw()`
    `void` | `load()` Initialize this deployment configuration by reading configuration files.
    `void` | `load(boolean fixIssues)` Initialize this deployment configuration by reading configuration files.
    `static void` | `move14AndOlderFilesTo15StructureCatched()`
    `void` | `resetToDefaults()`
    `void` | `save()` Saves all properties that are not part of default or system properties
    `void` | `setLoadingException(javax.naming.ConfigurationException ex)`
    `void` | `setProperty(java.lang.String key, java.lang.String value)` Sets the value of corresponding to the key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEPLOYMENT_CONFIG_FILE

          public static final java.lang.String DEPLOYMENT_CONFIG_FILE

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_PROPERTIES

          public static final java.lang.String DEPLOYMENT_PROPERTIES

      See Also:
        Constant Field Values

    - #### APPLET_TRUST_SETTINGS

          public static final java.lang.String APPLET_TRUST_SETTINGS

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_COMMENT

          public static final java.lang.String DEPLOYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### userComments

          public java.lang.String userComments

    - #### systemComments

          public java.lang.String systemComments

    - #### JNLP_ASSOCIATION_NEVER

          public static final int JNLP_ASSOCIATION_NEVER

      See Also:
        Constant Field Values

    - #### JNLP_ASSOCIATION_NEW_ONLY

          public static final int JNLP_ASSOCIATION_NEW_ONLY

      See Also:
        Constant Field Values

    - #### JNLP_ASSOCIATION_ASK_USER

          public static final int JNLP_ASSOCIATION_ASK_USER

      See Also:
        Constant Field Values

    - #### JNLP_ASSOCIATION_REPLACE_ASK

          public static final int JNLP_ASSOCIATION_REPLACE_ASK

      See Also:
        Constant Field Values

    - #### CONSOLE_HIDE

          public static final java.lang.String CONSOLE_HIDE

      when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console is not visible by default, but may be shown
      See Also:
        Constant Field Values

    - #### CONSOLE_SHOW

          public static final java.lang.String CONSOLE_SHOW

      when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console show for both javaws and plugin
      See Also:
        Constant Field Values

    - #### CONSOLE_DISABLE

          public static final java.lang.String CONSOLE_DISABLE

      when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console is not visible by default, nop data are passed to it (save memory and cpu) but can not be shown
      See Also:
        Constant Field Values

    - #### CONSOLE_SHOW_PLUGIN

          public static final java.lang.String CONSOLE_SHOW_PLUGIN

      when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console show for plugin
      See Also:
        Constant Field Values

    - #### CONSOLE_SHOW_JAVAWS

          public static final java.lang.String CONSOLE_SHOW_JAVAWS

      when set to as value of KEY_CONSOLE_STARTUP_MODE = "deployment.console.startup.mode", then console show for javaws
      See Also:
        Constant Field Values

    - #### KEY_USER_CACHE_DIR

          public static final java.lang.String KEY_USER_CACHE_DIR

      See Also:
        Constant Field Values

    - #### KEY_USER_PERSISTENCE_CACHE_DIR

          public static final java.lang.String KEY_USER_PERSISTENCE_CACHE_DIR

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_CACHE_DIR

          public static final java.lang.String KEY_SYSTEM_CACHE_DIR

      See Also:
        Constant Field Values

    - #### KEY_CACHE_MAX_SIZE

          public static final java.lang.String KEY_CACHE_MAX_SIZE

      See Also:
        Constant Field Values

    - #### KEY_CACHE_ENABLED

          public static final java.lang.String KEY_CACHE_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_CACHE_COMPRESSION_ENABLED

          public static final java.lang.String KEY_CACHE_COMPRESSION_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_USER_LOG_DIR

          public static final java.lang.String KEY_USER_LOG_DIR

      See Also:
        Constant Field Values

    - #### KEY_USER_TMP_DIR

          public static final java.lang.String KEY_USER_TMP_DIR

      See Also:
        Constant Field Values

    - #### KEY_USER_LOCKS_DIR

          public static final java.lang.String KEY_USER_LOCKS_DIR

      the directory containing locks for single instance applications
      See Also:
        Constant Field Values

    - #### KEY_USER_NETX_RUNNING_FILE

          public static final java.lang.String KEY_USER_NETX_RUNNING_FILE

      The netx_running file is used to indicate if any instances of netx are running (this file may exist even if no instances are running). All netx instances acquire a shared lock on this file. If this file can be locked (using a `FileLock`) in exclusive mode, then other netx instances are not running
      See Also:
        Constant Field Values

    - #### KEY_USER_SECURITY_POLICY

          public static final java.lang.String KEY_USER_SECURITY_POLICY

      See Also:
        Constant Field Values

    - #### KEY_USER_TRUSTED_CA_CERTS

          public static final java.lang.String KEY_USER_TRUSTED_CA_CERTS

      See Also:
        Constant Field Values

    - #### KEY_USER_TRUSTED_JSSE_CA_CERTS

          public static final java.lang.String KEY_USER_TRUSTED_JSSE_CA_CERTS

      See Also:
        Constant Field Values

    - #### KEY_USER_TRUSTED_CERTS

          public static final java.lang.String KEY_USER_TRUSTED_CERTS

      See Also:
        Constant Field Values

    - #### KEY_USER_TRUSTED_JSSE_CERTS

          public static final java.lang.String KEY_USER_TRUSTED_JSSE_CERTS

      See Also:
        Constant Field Values

    - #### KEY_USER_TRUSTED_CLIENT_CERTS

          public static final java.lang.String KEY_USER_TRUSTED_CLIENT_CERTS

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_SECURITY_POLICY

          public static final java.lang.String KEY_SYSTEM_SECURITY_POLICY

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_TRUSTED_CA_CERTS

          public static final java.lang.String KEY_SYSTEM_TRUSTED_CA_CERTS

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_TRUSTED_JSSE_CA_CERTS

          public static final java.lang.String KEY_SYSTEM_TRUSTED_JSSE_CA_CERTS

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_TRUSTED_CERTS

          public static final java.lang.String KEY_SYSTEM_TRUSTED_CERTS

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_TRUSTED_JSSE_CERTS

          public static final java.lang.String KEY_SYSTEM_TRUSTED_JSSE_CERTS

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_TRUSTED_CLIENT_CERTS

          public static final java.lang.String KEY_SYSTEM_TRUSTED_CLIENT_CERTS

      See Also:
        Constant Field Values

    - #### KEY_SECURITY_PROMPT_USER

          public static final java.lang.String KEY_SECURITY_PROMPT_USER

      Boolean. Only show security prompts to user if true
      See Also:
        Constant Field Values

    - #### KEY_SECURITY_LEVEL

          public static final java.lang.String KEY_SECURITY_LEVEL

      See Also:
        Constant Field Values

    - #### KEY_SECURITY_TRUSTED_POLICY

          public static final java.lang.String KEY_SECURITY_TRUSTED_POLICY

      See Also:
        Constant Field Values

    - #### KEY_SECURITY_ALLOW_HIDE_WINDOW_WARNING

          public static final java.lang.String KEY_SECURITY_ALLOW_HIDE_WINDOW_WARNING

      Boolean. Only give AWTPermission("showWindowWithoutWarningBanner") if true
      See Also:
        Constant Field Values

    - #### KEY_SECURITY_PROMPT_USER_FOR_JNLP

          public static final java.lang.String KEY_SECURITY_PROMPT_USER_FOR_JNLP

      Boolean. Only prompt user for granting any JNLP permissions if true
      See Also:
        Constant Field Values

    - #### KEY_SECURITY_INSTALL_AUTHENTICATOR

          public static final java.lang.String KEY_SECURITY_INSTALL_AUTHENTICATOR

      Boolean. Only install the custom authenticator if true
      See Also:
        Constant Field Values

    - #### KEY_SECURITY_ITW_IGNORECERTISSUES

          public static final java.lang.String KEY_SECURITY_ITW_IGNORECERTISSUES

      Boolean. Only install the custom authenticator if true
      See Also:
        Constant Field Values

    - #### KEY_STRICT_JNLP_CLASSLOADER

          public static final java.lang.String KEY_STRICT_JNLP_CLASSLOADER

      See Also:
        Constant Field Values

    - #### KEY_HTTPS_DONT_ENFORCE

          public static final java.lang.String KEY_HTTPS_DONT_ENFORCE

      Boolean. Do not prefere https over http
      See Also:
        Constant Field Values

    - #### KEY_PROXY_TYPE

          public static final java.lang.String KEY_PROXY_TYPE

      the proxy type. possible values are `JNLPProxySelector.PROXY_TYPE_*`
      See Also:
        Constant Field Values

    - #### KEY_PROXY_SAME

          public static final java.lang.String KEY_PROXY_SAME

      Boolean. If true, the http host/port should be used for https and ftp as well
      See Also:
        Constant Field Values

    - #### KEY_PROXY_AUTO_CONFIG_URL

          public static final java.lang.String KEY_PROXY_AUTO_CONFIG_URL

      See Also:
        Constant Field Values

    - #### KEY_PROXY_BYPASS_LIST

          public static final java.lang.String KEY_PROXY_BYPASS_LIST

      See Also:
        Constant Field Values

    - #### KEY_PROXY_BYPASS_LOCAL

          public static final java.lang.String KEY_PROXY_BYPASS_LOCAL

      See Also:
        Constant Field Values

    - #### KEY_PROXY_HTTP_HOST

          public static final java.lang.String KEY_PROXY_HTTP_HOST

      See Also:
        Constant Field Values

    - #### KEY_PROXY_HTTP_PORT

          public static final java.lang.String KEY_PROXY_HTTP_PORT

      See Also:
        Constant Field Values

    - #### KEY_PROXY_HTTPS_HOST

          public static final java.lang.String KEY_PROXY_HTTPS_HOST

      See Also:
        Constant Field Values

    - #### KEY_PROXY_HTTPS_PORT

          public static final java.lang.String KEY_PROXY_HTTPS_PORT

      See Also:
        Constant Field Values

    - #### KEY_PROXY_FTP_HOST

          public static final java.lang.String KEY_PROXY_FTP_HOST

      See Also:
        Constant Field Values

    - #### KEY_PROXY_FTP_PORT

          public static final java.lang.String KEY_PROXY_FTP_PORT

      See Also:
        Constant Field Values

    - #### KEY_PROXY_SOCKS4_HOST

          public static final java.lang.String KEY_PROXY_SOCKS4_HOST

      See Also:
        Constant Field Values

    - #### KEY_PROXY_SOCKS4_PORT

          public static final java.lang.String KEY_PROXY_SOCKS4_PORT

      See Also:
        Constant Field Values

    - #### KEY_PROXY_OVERRIDE_HOSTS

          public static final java.lang.String KEY_PROXY_OVERRIDE_HOSTS

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_LOGGING

          public static final java.lang.String KEY_ENABLE_LOGGING

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_LOGGING_HEADERS

          public static final java.lang.String KEY_ENABLE_LOGGING_HEADERS

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_LOGGING_TOFILE

          public static final java.lang.String KEY_ENABLE_LOGGING_TOFILE

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_APPLICATION_LOGGING_TOFILE

          public static final java.lang.String KEY_ENABLE_APPLICATION_LOGGING_TOFILE

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_LEGACY_LOGBASEDFILELOG

          public static final java.lang.String KEY_ENABLE_LEGACY_LOGBASEDFILELOG

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_LOGGING_TOSTREAMS

          public static final java.lang.String KEY_ENABLE_LOGGING_TOSTREAMS

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_LOGGING_TOSYSTEMLOG

          public static final java.lang.String KEY_ENABLE_LOGGING_TOSYSTEMLOG

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_MANIFEST_ATTRIBUTES_CHECK

          public static final java.lang.String KEY_ENABLE_MANIFEST_ATTRIBUTES_CHECK

      See Also:
        Constant Field Values

    - #### KEY_CONSOLE_STARTUP_MODE

          public static final java.lang.String KEY_CONSOLE_STARTUP_MODE

      Console initial status. One of CONSOLE_* values See declaration above: CONSOLE_HIDE = "HIDE"; CONSOLE_SHOW = "SHOW"; CONSOLE_DISABLE = "DISABLE"; CONSOLE_SHOW_PLUGIN = "SHOW_PLUGIN_ONLY"; CONSOLE_SHOW_JAVAWS = "SHOW_JAVAWS_ONLY";
      See Also:
        Constant Field Values

    - #### KEY_JNLP_ASSOCIATIONS

          public static final java.lang.String KEY_JNLP_ASSOCIATIONS

      See Also:
        Constant Field Values

    - #### KEY_CREATE_DESKTOP_SHORTCUT

          public static final java.lang.String KEY_CREATE_DESKTOP_SHORTCUT

      See Also:
        Constant Field Values

    - #### KEY_JRE_INTSTALL_URL

          public static final java.lang.String KEY_JRE_INTSTALL_URL

      See Also:
        Constant Field Values

    - #### KEY_AUTO_DOWNLOAD_JRE

          public static final java.lang.String KEY_AUTO_DOWNLOAD_JRE

      See Also:
        Constant Field Values

    - #### KEY_BROWSER_PATH

          public static final java.lang.String KEY_BROWSER_PATH

      See Also:
        Constant Field Values

    - #### BROWSER_ENV_VAR

          public static final java.lang.String BROWSER_ENV_VAR

      See Also:
        Constant Field Values

    - #### ALWAYS_ASK

          public static final java.lang.String ALWAYS_ASK

      See Also:
        Constant Field Values

    - #### INTERNAL_HTML

          public static final java.lang.String INTERNAL_HTML

      See Also:
        Constant Field Values

    - #### LEGACY_WIN32_URL__HANDLER

          public static final java.lang.String LEGACY_WIN32_URL__HANDLER

      See Also:
        Constant Field Values

    - #### KEY_UPDATE_TIMEOUT

          public static final java.lang.String KEY_UPDATE_TIMEOUT

      See Also:
        Constant Field Values

    - #### IGNORE_HEADLESS_CHECK

          public static final java.lang.String IGNORE_HEADLESS_CHECK

      See Also:
        Constant Field Values

    - #### KEY_PLUGIN_JVM_ARGUMENTS

          public static final java.lang.String KEY_PLUGIN_JVM_ARGUMENTS

      See Also:
        Constant Field Values

    - #### KEY_JRE_DIR

          public static final java.lang.String KEY_JRE_DIR

      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_CONFIG

          public static final java.lang.String KEY_SYSTEM_CONFIG

      remote configuration properties
      See Also:
        Constant Field Values

    - #### KEY_SYSTEM_CONFIG_MANDATORY

          public static final java.lang.String KEY_SYSTEM_CONFIG_MANDATORY

      See Also:
        Constant Field Values

    - #### KEY_SMALL_SIZE_OVERRIDE_TRESHOLD

          public static final java.lang.String KEY_SMALL_SIZE_OVERRIDE_TRESHOLD

      Possibility to control hack which resizes very small applets
      See Also:
        Constant Field Values

    - #### KEY_SMALL_SIZE_OVERRIDE_WIDTH

          public static final java.lang.String KEY_SMALL_SIZE_OVERRIDE_WIDTH

      See Also:
        Constant Field Values

    - #### KEY_SMALL_SIZE_OVERRIDE_HEIGHT

          public static final java.lang.String KEY_SMALL_SIZE_OVERRIDE_HEIGHT

      See Also:
        Constant Field Values

    - #### KEY_ENABLE_CACHE_FSYNC

          public static final java.lang.String KEY_ENABLE_CACHE_FSYNC

      See Also:
        Constant Field Values

    - #### KEY_BACKGROUND_THREADS_COUNT

          public static final java.lang.String KEY_BACKGROUND_THREADS_COUNT

      See Also:
        Constant Field Values

    - #### KEY_MAX_URLS_DOWNLOAD_INDICATOR

          public static final java.lang.String KEY_MAX_URLS_DOWNLOAD_INDICATOR

      See Also:
        Constant Field Values

    - #### TRANSFER_TITLE

          public static final java.lang.String TRANSFER_TITLE

      See Also:
        Constant Field Values

    - #### pattern

          public static final java.text.SimpleDateFormat pattern

  - ### Constructor Detail

    - #### DeploymentConfiguration

          public DeploymentConfiguration()

    - #### DeploymentConfiguration

          public DeploymentConfiguration(InfrastructureFileDescriptor configFile)

  - ### Method Detail

    - #### setLoadingException

          public void setLoadingException(javax.naming.ConfigurationException ex)

    - #### getLoadingException

          public javax.naming.ConfigurationException getLoadingException()

    - #### resetToDefaults

          public void resetToDefaults()

    - #### load

          public void load()
                    throws javax.naming.ConfigurationException

      Initialize this deployment configuration by reading configuration files. Generally, it will try to continue and ignore errors it finds (such as file not found).
      Throws:
        `javax.naming.ConfigurationException` - if it encounters a fatal error.

    - #### load

          public void load(boolean fixIssues)
                    throws javax.naming.ConfigurationException,
                           java.net.MalformedURLException

      Initialize this deployment configuration by reading configuration files. Generally, it will try to continue and ignore errors it finds (such as file not found).
      Parameters:
        `fixIssues` - If true, fix issues that are discovered when reading configuration by resorting to the default values
      Throws:
        `javax.naming.ConfigurationException` - if it encounters a fatal error.
        `java.net.MalformedURLException`

    - #### copyTo

          public void copyTo(java.util.Properties target)

      Copies the current configuration into the target
      Parameters:
        `target` - properties where to copy actual ones

    - #### getProperty

          public java.lang.String getProperty(java.lang.String key)

      Get the value for the given key
      Parameters:
        `key` - the property key
      Returns:
        the value for the key, or null if it can not be found

    - #### getAllPropertyNames

          public java.util.Set<java.lang.String> getAllPropertyNames()

      Returns:
        a Set containing all the property names

    - #### getRaw

          public java.util.Map<java.lang.String,Setting<java.lang.String>> getRaw()

      Returns:
        a map containing property names and the corresponding settings

    - #### setProperty

          public void setProperty(java.lang.String key,
                                  java.lang.String value)

      Sets the value of corresponding to the key. If the value has been marked as locked, it is not changed
      Parameters:
        `key` - the key
        `value` - the value to be associated with the key

    - #### checkAndFixConfiguration

          public void checkAndFixConfiguration(java.util.Map<java.lang.String,Setting<java.lang.String>> initial)

      Check that the configuration is valid. If there are invalid values,set those values to the default values. This is done by using check() method of the ValueCheker for each setting on the actual value. Fixes are made in-place.
      Parameters:
        `initial` - a map representing the initial configuration

    - #### save

          public void save()
                    throws java.io.IOException

      Saves all properties that are not part of default or system properties
      Throws:
        `java.io.IOException` - if unable to save the file
        `java.lang.IllegalStateException` - if save() is called before load()

    - #### move14AndOlderFilesTo15StructureCatched

          public static void move14AndOlderFilesTo15StructureCatched()

Submit a bug or feature